<template>
  <div v-if="order">
    <table class="table table-active mb-3">
      <tbody>
        <tr>
          <th scope="row" class="align-middle">
            {{ $t("id") }}
          </th>
          <td class="align-middle">
            {{ order.id }}
          </td>
        </tr>
        <tr>
          <th scope="row" class="align-middle">
            {{ $t("product_name") }}
          </th>
          <td class="align-middle">
            {{ order.name }}
          </td>
        </tr>
        <tr>
          <th scope="row" class="align-middle">
            {{ $t("price") }}
          </th>
          <td class="align-middle">
              {{
                (order.total_price / 100)
                  .toFixed(2)
                  .replace(".", ",")
                  .replace(/\B(?=(\d{3})+(?!\d))/g, ".")
              }}
              EUR
          </td>
        </tr>
        <tr>
          <th scope="row" class="align-middle">
            {{ $t("amount") }}
          </th>
          <td class="align-middle">
              {{ order.amount }}
          </td>
        </tr>
        <tr>
          <th scope="row" class="align-middle">
            {{ $t("status") }}
          </th>
          <td class="align-middle">
            <h6>
              <span v-if="order.status == 'done'" class="badge badge-success">{{
                $t("status_done")
              }}</span>
              <span
                v-if="order.status == 'pending'"
                class="badge badge-warning"
                >{{ $t("status_pending") }}</span
              >
            </h6>
          </td>
        </tr>
      </tbody>
    </table>
    <card :title="order.name" class="mb-2" v-if="orderContent">
      <textarea class="w-100" rows="10" v-model="orderContent" readonly> </textarea>
    </card>
  </div>
</template>

<script>
import Form from "vform";
import { mapGetters } from "vuex";
import axios from "axios";

export default {
  scrollToTop: false,

  metaInfo() {
    return { title: this.$t("panel") };
  },

  props: ["id"],

  data: () => ({
    order: null,
  }),

  computed: {
    orderContent: function () {
      var content = "";
      this.order.order_items.forEach((order_item) => {
        content += this.order.name+'\n\n'+order_item.content+'\n---\n';
      });
      return content;
    },
  },

  created() {
    this.update();
  },

  methods: {
    async update() {
      const { data } = await axios.get(route('shop.orders.get', this.id));
      if (data) {
        this.order = data;
      }
    },
  },
};
</script>
